commit:     1065046a0089c002758f11581b2196242b4f4fe2
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  1 10:16:32 2024 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Feb  1 10:20:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1065046a

dev-python/mkdocs-minify-plugin: add 0.8.0

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/mkdocs-minify-plugin/Manifest           |  1 +
 .../mkdocs-minify-plugin-0.8.0.ebuild              | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/mkdocs-minify-plugin/Manifest 
b/dev-python/mkdocs-minify-plugin/Manifest
index 90eca278c005..a7c31ac5d4fb 100644
--- a/dev-python/mkdocs-minify-plugin/Manifest
+++ b/dev-python/mkdocs-minify-plugin/Manifest
@@ -1 +1,2 @@
 DIST mkdocs-minify-plugin-0.7.2.gh.tar.gz 9016 BLAKE2B 
9960820f2faba9455207454f76c46ac793e5c43cc522c2951dd233907532e4fb12cbe64410a49e03c1d9e5111dd43e903b07e7150cbf48817079d6877e411cbb
 SHA512 
054163f985fc5e35816b240bd8d82709720b1c0495e9e7f35abc2271496dc3a578669a3ccede565c6a6b27314bc7e74b4c58e0eb8eb2f2851ece6841147c8f2e
+DIST mkdocs-minify-plugin-0.8.0.gh.tar.gz 9241 BLAKE2B 
98686884c7122b2731a1b923099f59af8cea4364d544ccbf9c07c34b293531f47ea5d0a6ef60054e88e54a4a97cf37d4f5ecfd27351b6efa85ae26e14545e841
 SHA512 
d810d3a9e72a59771cf28950ea82ff8021ac12734f38abf2d10d1d0bb4ef248678ca2116378798a613f0fc60997c5714ecb711496d2fcc2ff79c1a90948dbc0f

diff --git a/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.8.0.ebuild 
b/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.8.0.ebuild
new file mode 100644
index 000000000000..21dade42f2a4
--- /dev/null
+++ b/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.8.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="An MkDocs plugin to minify HTML and/or JS files prior to being 
written to disk"
+HOMEPAGE="
+       https://github.com/byrnereese/mkdocs-minify-plugin
+       https://pypi.org/project/mkdocs-minify-plugin/
+"
+# pypi sdist lacks tests, as of 0.6.4
+SRC_URI="
+       https://github.com/byrnereese/mkdocs-minify-plugin/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/csscompressor-0.9.5[${PYTHON_USEDEP}]
+       >=dev-python/mkdocs-1.4.1[${PYTHON_USEDEP}]
+       >=app-text/htmlmin-0.1.12[${PYTHON_USEDEP}]
+       >=dev-python/jsmin-3.0.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # this is a fork of htmlmin with the same patches that we have
+       sed -i -e '/htmlmin2/d' setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x PATH=${T}:${PATH}
+       cat > "${T}"/mkdocs <<-EOF || die
+               #!/bin/sh
+               exec "${EPYTHON}" -m mkdocs "\${@}"
+       EOF
+       chmod +x "${T}"/mkdocs || die
+       epytest
+}

Reply via email to